-----------------------------------------------------------
--|> Colors
-----------------------------------------------------------
--> Namespace
local _, NS = ...
--> Upvalues
NS.Colors = {}

--> SOURCE COLOR TABLE
local ColorSource = {}
-- Addon Colors
ColorSource['logo'] = 'ffa012' -- #ffa012
ColorSource['phasing'] = 'e32dff' -- #e32dff
-- Base Colors
ColorSource['black'] = '000000' -- #000000
ColorSource['grey_dark'] = '0f0f0f' -- #0f0f0f
ColorSource['grey_light'] = 'bbbbbb' -- #bbbbbb
ColorSource['white'] = 'ffffff' -- #ffffff
ColorSource['red'] = 'ff0046' -- #ff0046
ColorSource['pink'] = 'ff19b3' --  #ff19b3
ColorSource['purple'] = 'a100ff' -- #a100ff
ColorSource['blue_dark'] = '0077ff' -- #0077ff
ColorSource['blue_light'] = '00f7ff' -- #00f7ff
ColorSource['green'] = '00ff75' -- #00ff75
ColorSource['yellow'] = 'ffff14' -- #ffff14
ColorSource['gold'] = 'ffb300' -- #ffb300
ColorSource['orange'] = 'ff6300' -- #ff6300
--> BUILD ADDITIONAL COLOR FORMATS
local ColorTable = {}
for k, v in pairs(ColorSource) do
    ColorTable[k] = {}
    ColorTable[k].hex = ColorSource[k]
    ColorTable[k].rgb = {}
    ColorTable[k].rgb.r, ColorTable[k].rgb.g, ColorTable[k].rgb.b = XEN.HexToRGBPerc(v)
end
--> APPLY
NS.ColorsLUT = CopyTable(ColorTable)
