-------------------------------------------------------------------------------
--|> XEN: Core
-------------------------------------------------------------------------------
local _, NS = ...

--|> Upvalue Globals
-------------------------------------------------------------------------------
if XEN then
    return
end
_G.XEN = {}
NS.XEN = _G.XEN
local XEN = NS.XEN

XEN._display = {}
function XEN.UpdateDisplayInfo()
    -- XEN.PixelScale.Update()
    XEN.GetUiMultiplier()
    XEN._display.ScreenWidth = GetScreenWidth()
    XEN._display.ScreenHeight = GetScreenHeight()
    XEN._display.xFactor = (768 / XEN._display.ScreenWidth) * (XEN._display.ScreenWidth / XEN._display.ScreenHeight)
    XEN._display.yFactor = 768 / XEN._display.ScreenHeight
    XEN._display.UIScale = UIParent:GetScale()
    XEN._display.DPIScale = GetScreenDPIScale
    XEN._display.EffectiveScale = UIParent:GetEffectiveScale()
end
